#include "preview.h"
#include "ui_preview.h"

Preview::Preview(QWidget *parent) :
    QDialog(parent),
    m_ui(new Ui::Preview)
{
    m_ui->setupUi(this);
}

Preview::Preview(QWidget *parent, int id, QString name, QString firstname, QString lastname, QString image, QString barcode) :
    QDialog(parent),
    m_ui(new Ui::Preview)
{
    m_ui->setupUi(this);

    // This is the picture we will be doing all the composing in..
    // Code is now changed to use an IDCardImage instead of
    // drawing directly in the preview. This allows reuse of code to
    // generate both the preview and the print.
    IDCardImage m_image(626, 384, id, name, firstname, lastname, image, barcode);

    m_ui->imageLabel->setPixmap(QPixmap::fromImage(m_image));

}

Preview::~Preview()
{
    delete m_ui;
}

void Preview::changeEvent(QEvent *e)
{
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void Preview::on_pushButton_clicked()
{
    this->close();
}
