#ifndef THEAPPMAIN_H
#define THEAPPMAIN_H

#include <QtGui/QMainWindow>
#include <QtSql>
#include "preview.h"
#include "settingsdialog.h"
#include "idcardimage.h"

namespace Ui
{
    class TheAppMainClass;
}

class TheAppMain : public QMainWindow
{
    Q_OBJECT

public:
    TheAppMain(QWidget *parent = 0);
    ~TheAppMain();

private:
    Ui::TheAppMainClass *ui;
    QSqlDatabase db;
    QSqlQueryModel *model;

    QString sqlquerystring;
    QString sqlhostname;
    QString sqlusername;
    QString sqlpassword;
    QString sqldatabase;
    int     sqlportnumber;

    QLabel *status;

    void readsettings();
    void writesettings();
    bool setupsql();

private slots:
    void on_bRemoveSeleced_clicked();
    void on_bRunSelected_clicked();
    void on_personList_doubleClicked(QModelIndex index);
    void on_bRefresh_clicked();
    void on_bRunAll_clicked();
    void on_bQuit_clicked();
    void on_bPreviewSelected_clicked();
    bool on_aConfiguration_triggered();
};

#endif // THEAPPMAIN_H
